"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUriType = void 0;
const path = require("path");
const url = require("url");
const fs = require("fs");
const getUriType = (uri) => {
    if (/https?:/.test(url.parse(uri).protocol || '')) {
        return 'URL';
    }
    try {
        if (fs.statSync(path.normalize(uri)).isDirectory()) {
            return 'DIRECTORY';
        }
        else {
            return 'FILE';
        }
    }
    catch (e) {
        throw new Error(`Pact file or directory '${uri}' doesn't exist`);
    }
};
exports.getUriType = getUriType;
//# sourceMappingURL=index.js.map